<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b>Добавь свой сайт</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
	
	
##########################################################################
##                        Главная страница
##########################################################################	
if(!isset($action)){	

include_once BASEDIR."template/link.php"; 
 
if($config_themes!="wml"){
echo'<hr><form action="link.php?action=add&amp;'.SID.'" method="post">';
echo'Адрес сайта:<br>';
echo'<input type="text" name="linkurl" value="http://" maxlength="50" /><br>';
echo'Название (max25):<br>';
echo'<input type="text" name="linkname" maxlength="25" /><br><br>';
echo'<input type="submit" value="Добавить" /></form><hr>';
}else{

echo'<br>--------------------<br>';
echo'Адрес сайта:<br>';
echo'<input name="linkurl"/><br>';
echo'Название (max25):<br>';
echo'<input name="linkname"/><br>';
echo'<anchor>Добавить';
echo'<go href="link.php?action=add&amp;'.SID.'" method="post">';
echo'<postfield name="linkurl" value="$(linkurl)"/>';
echo'<postfield name="linkname" value="$(linkname)"/>';
echo'</go></anchor><br>--------------------<br>';

}

echo 'В названии ссылки запрещено использовать любые ненормативные и матные слова<br>';
echo 'За нарушение правил предусмотрено наказание в виде строгого бана<br>';
}


##########################################################################
##                        Добавление ссылки
##########################################################################
if($action=="add"){
	
$linkurl = check(trim($linkurl));	
$linkname = check(trim($linkname));	
$linkurl=strtolower($linkurl);
$linkurl=str_replace("http://","",$linkurl);
$linkname = antimat($linkname);

if (strlen(utf_to_win($linkname))>4 && strlen(utf_to_win($linkname))<26) {
if (eregi("^[a-z0-9\.-]+\.[a-z]{2,4}\$", $linkurl)){


$lines=file(BASEDIR."local/link.dat");
foreach($lines as $datalink){
$linkcell = explode("|", $datalink);
$linkcell_url[]=$linkcell[0];
$linkcell_log[]=$linkcell[2];
}

if(!in_array($linkurl,$linkcell_url)){
if(!in_array($log,$linkcell_log)){

$text=$linkurl.'|'.$linkname.'|'.$log.'|';
$text=preg_replace ("|[\r\n]+|si","",$text);

$fp = fopen("../local/link.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
///////////////////////////

$file=file("../local/link.dat"); 
$i = count($file);
$config_link=$config_link+1;
if ($i>$config_link) {
$fp=fopen("../local/link.dat","w");
flock ($fp,LOCK_EX);
unset($file[0],$file[1]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}

header ("Location: link.php?isset=addlink&".SID);

}else{echo'Ошибка! Вы уже добавили сайт в базу, запрещено добавлять несколько сайтов подряд<br>';}
}else{echo'Ошибка! Такой сайт уже имеется в нашей базе, запрещено добавлять несколько сайтов подряд<br>';}
}else{echo'Неправильный адрес! Разрешается добавлять только адрес главной  страницы!<br>';}
}else{echo'Неправильное название! Не менее 5 и не более 25 знаков в названии!<br>'; }

echo'<br><img src="../images/img/back.gif" alt=""> <a href="link.php?'.SID.'">Вернуться</a>'; 
}

}else{
echo '<br>Вы не авторизованы, чтобы добавить новую ссылку необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo '<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>